{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Build minishell",
            "type": "shell",
            "command": "make",
            "args": [],
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "problemMatcher": ["$gcc"],
            "detail": "Generated task for building minishell"
        },
        {
            "label": "Build minishell debug",
            "type": "shell",
            "command": "make debug",
            "args": [],
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "problemMatcher": ["$gcc"],
            "detail": "Generated task for building minishell in debug mode"
        },
        {
            "label": "Run minishell",
            "type": "shell",
            "command": "./minishell",
            "args": [],
            "group": {
                "kind": "test",
                "isDefault": true
            },
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "shared"
            },
            "problemMatcher": []
        }
    ]
}
